optionNextValue(3)

NAME
optionNextValue - get the next value from a hierarchical list

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

const tOptionValue * optionNextValue(const tOptionValue * pOptValue, const tOptionValue * pOldValue);

DESCRIPTION
This routine will return the next entry after the entry passed in. At the end of the list, NULL will be returned. If the entry is not found on the list, NULL will be returned and "errno" will be set to EINVAL. The "pOldValue" must have been gotten from a prior call to this routine or to "opitonGetValue()".

pOptValue
    a hierarchcal list value

pOldValue
    a value from this list

RETURN VALUE
a compound value structure

ERRORS
The returned result is NULL and errno is set:

EINVAL - the pOptValue does not point to a valid hierarchical option value or pOldValue does not point to a member of that option value.

ENOENT - the supplied pOldValue pointed to the last entry. @end itemize

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),